># Extensions of CIDOC CRM
>Since the intended scope of the CIDOC CRM is a subset of the “real” world and is therefore potentially infinite,the model has been designed to be extensible through the linkage of compatible external type hierarchies.  
>Of necessity, some concepts covered by the CIDOC CRM are defined in less details than others: E39 Actor andE30 Right, for example. This is a natural consequence of staying within the model’s clearly articulated practical scope in an intrinsically unlimited domain of discourse. These ‘underdeveloped’ concepts can be considered ascandidate superclasses for compatible extensions, in particular for disciplines with a respective focus. Additionsto the model are known as extensions while the main model is known as CRMbase.  
>Compatibility of extensions with the CRM means that data structured according to an extension must also remain valid as instances of CIDOC CRM base classes. In practical terms, this implies query containment: anyqueries based on CIDOC CRM concepts to a KB should retrieve a result set that is correct according to themodel’s semantics, regardless of whether the KR is structured according to the CIDOC CRM’s semantics alone,or according to the CIDOC CRM plus compatible extensions. For example, a query such as “list all events” should recall 100% of the instances deemed to be events by the CIDOC CRM, regardless of how they are classified by the extension.  
>A sufficient condition for the compatibility of an extension with the CIDOC CRM is that its classes, other thanE1 CRM Entity, subsume all classes of the extension, and all properties of the extension are either subsumed byCRM properties, or are part of a path for which a CIDOC CRM property is a shortcut, and that classes and properties of the extension can be well distinguished from those in the CIDOC CRM. For instance, a class “tangible object” may be in conflict with existing classes of the CIDOC CRM. Obviously, such a condition canonly be tested intellectually.  
>The CRM provides a number of mechanisms to ensure that coverage of the intended scope can be increased ondemand without losing compatibility:  
>  
>1 Existing classes can be extended, either structurally as subclasses or dynamically using the typehierarchy (see section About Types below).  
>  
>2 Existing properties can be extended, either structurally as subproperties, or in some cases, dynamically,using properties of properties which allow subtyping (see section About Types below).  
>  
>3 Additional information that falls outside the semantics formally defined by the CIDOC CRM can be recorded as unstructured data using E1 CRM Entity. P3 has note: E62 String.  
>  
>4 Extending the CIDOC CRM by superclasses and properties that pertain to a wider scope. They are called conservative extensions, if they preserve backwards compatibility with instances described with the CIDOC CRM.  
>  
>Following strategies 1, 2 and 3 will have the result that the CIDOC CRM concepts subsume and thereby cover the extensions. This means that querying an extended knowledge base only with concepts of the CIDOC CRMwill nevertheless retrieve all facts described via the extensions.  
>  
>In mechanism 3, the information in the notes is accessible in the respective knowledge base by retrieving the instances of E1 CRM Entity that are domain of P3 has note. Keyword search will also work for the content ofthe note. Rules should be applied to attach a note to the item most specific for the content. For instance, detailsabout the role of an actor in an activity should be associated with the instance of E7 Activity, and not with theinstance of E39 Actor. This approach is preferable when queries relating elements from the content of such notesacross the knowledge base are not expected.  
>In general, only concepts to be used for selecting multiple instances from the knowledge base by formal querying need to be explicitly modelled. This criterion depends on the expected scope and use of the particular knowledge base. The CIDOC CRM prioritizes modelling the kinds of facts one would like to retrieve and relate from heterogeneous content sources, potentially from different institutions. It does not, by way of contrast, focus on the modelling of facts with a more local scope such as the administrative practices internal to an institution.  
>  
>Mechanism 4, conservative extension, is more complex:   
>With increasing use of the CIDOC CRM, there is also a need for extensions that model phenomena from a scope wider than the original one of the CIDOC CRM, but which are also applicable to the concepts that do fall within the CIDOC CRM’s scope. When this occurs, properties of the CIDOC CRM may be found to be applicable more generally to superclasses of the extension than to those of their current domain or range in the CIDOC CRM. This is a consequence of the key principle of the CIDOC CRM to model “bottom up”, i.e., selecting the domains and ranges for properties to be as narrow as they would apply in a well understood fashion in the current scope, thus avoiding making poorly understood generalizations at risk of requiring non-monotonic correction.   
>The fourth mechanism for extending the CIDOC CRM by conservation extension can be seen to be split into two cases:   
>  
>1 A new class or property is added to an extension of the CIDOC CRM, which is not covered by superclasses other than E1 CRM Entity or a superproperty in the CIDOC CRM respectively. In this case, all facts described only by such concepts are not accessible by queries with CIDOC CRM concepts. Therefore, the extension should publish in a compatibility statement the additional relevant high-level classes and properties needed to retrieve all facts documented with the extended model. This case is a monotonic extension.   
>  
>2 The domain or range of an existing property in the CIDOC CRM is changed to a superclass of the one or the other or both, because the property is understood to be applicable beyond its originally anticipated scope. In this case, all facts described by the extension are still accessible by querying with the concepts of the CIDOC CRM, but the extension can describe additional facts that the CIDOC CRM could not. This case is a monotonic extension and generally recommended, because it enables bottom- up evolution of the model. If this change is part of a new release of the CIDOC CRM itself, it is simply backwards compatible, and this has been done frequently in the evolution of this model.   
>  
>If case (2) should be documented and implemented in an extension module separate from the CIDOC CRM, it may come in conflict with the current way knowledge representation languages, such as RDF/OWL, treat it, because in formal logic changing the range or domain of a property is regarded as changing the ontological meaning completely; there is no distinction between the meaning of the property independent of domain and range and the specification of the domain and range. It is, however, similar to what in logic is called a conservative extension of a theory, and necessary for an effective modular management of ontologies.   
>Therefore, for the interested reader, we describe here a definition of this case in terms of first order logic, which shows how modularity can formally be achieved:   
>Let us assume a property P defined with domain class A and range class C also holds for a domain class B, superclass of A, and a range class D, superclass of C, in the sense of its ontological meaning in the real world. We describe this situation by introducing an auxiliary formal property P’, defined with domain class B and range class D, and apply the following logic:   
>A(x) ⇒ B(x)   
>C(x) ⇒ D(x)   
>P(x,y) ⇒ A(x)   
>P(x,y) ⇒ C(y)   
>P’(x,y) ⇒ B(x)   
>P’(x,y) ⇒ D(y)   
>Then, P’ is a conservative extension of P if: A(x) ∧ C(y) ∧ P’(x,y) ⇔ P(x,y)   
>In other words, a separate extension module may re-declare the respective property with another identifier, preferably using the same label, and implement the above rule.   
